package domaine;

import java.io.FileNotFoundException;
import java.io.PrintWriter;

import application.Alarmes;
import domaine.temps.Heure;

public class EnregistrementTexte implements Operation {
	private PrintWriter fichier;
	public EnregistrementTexte(String nomDeFichier) throws FileNotFoundException {
		fichier = new PrintWriter(nomDeFichier);
		fichier.println(Alarmes.FILE_VERSION);
	}
	public void opereSur(ListeDAlarmes l) throws Exception {
		fichier.println(l.nombreDElements());
        for (Alarme a : l) a.realise(this);
        fichier.close();
	}
	public void opereSur(Alarme a) throws Exception {
		a.heure().realise(this);
	}
	public void opereSur(Heure h) throws Exception {
		fichier.println(h);
	}
}
